#
# Configuration file for tut

[general]
# If the program should check for new toots without user interaction.
# If you don't enable this the program will only look for new toots when 
# you reach the bottom or top of your feed. With this enabled it will check
# for new toots every x second.
# default=true
auto-load-newer=true

# How many seconds between each pulling of new toots if you have enabled
# auto-load-newer.
# default=60
auto-load-seconds=60

# The date format to be used
# See https://godoc.org/time#Time.Format
# default=2006-01-02 15:04
date-format=2006-01-02 15:04

# Format for dates the same day
# default=15:04
date-today-format=15:04

# This displays relative dates instead
# for statuses that are one day or older
# the output is 1y2m1d (1 year 2 months and 1 day) 
#
# The value is an integear
# -1     = don't use relative dates
#  0     = always use relative dates, except for dates < 1 day
#  1 - ∞ = number of days to use relative dates
#
# Example: date-relative=28 will display a relative date
# for toots that are between 1-28 days old. Otherwhise it
# will use the short or long format
# 
# default=-1
date-relative=-1

# The timeline that opens up when you start tut
# Valid values: home, direct, local, federated
# default=home
timeline=home

# If you want to display a list of notifications
# under your timeline feed
# default=true
notification-feed=true

# If you always want to quote original message when replying
# default=false
quote-reply=false

[media]
# Your image viewer
# default=xdg-open
image-viewer=xdg-open

# If image should open one by one e.g. "imv image.png" multiple times
# If set to false all images will open at the same time like this 
# "imv image1.png image2.png image3.png".
# Not all image viewers support this, so try it first.
# default=true
image-single=true

# Your video viewer
# default=xdg-open
video-viewer=xdg-open

# If videos should open one by one. See above comment about image-single
# default=true
video-single=true

# Your audio viewer
# default=xdg-open
audio-viewer=xdg-open

# If audio files should open one by one. See above comment about image-single
# default=true
audio-single=true

# Your web browser
# default=xdg-open
link-viewer=xdg-open

[style]
# All styles can be represented in their HEX value like #ffffff or
# with their name, so in this case white.
# The only special value is "default" which equals to transparent,
# so it will be the same color as your terminal. But this can lead
# to some artifacts left from a previous paint

# You can also use xrdb colors like this xrdb:color1
# The program will use colors prefixed with an * first then look
# for URxvt or XTerm if it can't find any color prefixed with an asterik.
# If you don't want tut to guess the prefix you can set the prefix yourself.
# If the xrdb color can't be found a preset color will be used.

# The xrdb prefix used for colors in .Xresources
# default=guess
xrdb-prefix=guess
# default=xrdb:background
background=xrdb:background
#text=xrdb:foreground
text=#ffffff
# default=xrdb:color14
subtle=xrdb:color14
# default=xrdb:color1
warning-text=xrdb:color1
# default=xrdb:color5
text-special-one=xrdb:color5
# default=xrdb:color2
text-special-two=xrdb:color2
# default=xrdb:color5
top-bar-background=xrdb:color5
# default=xrdb:background
top-bar-text=xrdb:background
# default=xrdb:color5
status-bar-background=xrdb:color5
# default=xrdb:foreground
status-bar-text=xrdb:foreground
# default=xrdb:color4
status-bar-view-background=xrdb:color4
# default=xrdb:foreground
status-bar-view-text=xrdb:foreground
# default=xrdb:color5
list-selected-background=xrdb:color5
# default=xrdb:background
list-selected-text=xrdb:background
